"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs");
class FileSystem {
}
exports.default = FileSystem;
class FileSystemSync extends FileSystem {
    lstat(path) {
        return fs.lstatSync(path);
    }
    stat(path) {
        return fs.statSync(path);
    }
}
exports.FileSystemSync = FileSystemSync;
class FileSystemAsync extends FileSystem {
    lstat(path) {
        return new Promise((resolve, reject) => {
            fs.lstat(path, (err, stats) => err ? reject(err) : resolve(stats));
        });
    }
    stat(path) {
        return new Promise((resolve, reject) => {
            fs.stat(path, (err, stats) => err ? reject(err) : resolve(stats));
        });
    }
}
exports.FileSystemAsync = FileSystemAsync;
