"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fsAdapter = require("./adapters/fs");
const optionsManager = require("./managers/options");
const statProvider = require("./providers/stat");
const fsAdapterAsync = new fsAdapter.FileSystemAsync();
const fsAdapterSync = new fsAdapter.FileSystemSync();
/**
 * Asynchronous API.
 */
function stat(path, opts) {
    return statProvider.async(fsAdapterAsync, path, optionsManager.prepare(opts));
}
exports.stat = stat;
/**
 * Synchronous API.
 */
function statSync(path, opts) {
    return statProvider.sync(fsAdapterSync, path, optionsManager.prepare(opts));
}
exports.statSync = statSync;
