"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const logger_1 = require("@pnpm/logger");
const chalk_1 = require("chalk");
exports.default = (pnpmFilePath) => {
    try {
        const pnpmfile = require(pnpmFilePath);
        logger_1.default.info(`Using hooks from: ${pnpmFilePath}`);
        if (pnpmfile && pnpmfile.hooks && pnpmfile.hooks.readPackage && typeof pnpmfile.hooks.readPackage !== 'function') {
            throw new TypeError('hooks.readPackage should be a function');
        }
        pnpmfile.filename = pnpmFilePath;
        return pnpmfile;
    }
    catch (err) {
        if (err instanceof SyntaxError) {
            console.error(chalk_1.default.red('A syntax error in the pnpmfile.js\n'));
            console.error(err);
            process.exit(1);
            return;
        }
        if (err.code !== 'MODULE_NOT_FOUND')
            throw err;
        return undefined;
    }
};
//# sourceMappingURL=requirePnpmfile.js.map